List personal folders
GET
/v1/folders
const url = 'https://shareout.site/v1/folders';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shareout.site/v1/folders \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Folders
Media type application/json
object
folders
Array<object>
object
id
string
name
string
slug
string
description
string | null
artifact_count
integer
created_at
string format: date-time
Example generated
{ "folders": [ { "id": "example", "name": "example", "slug": "example", "description": "example", "artifact_count": 1, "created_at": "2026-04-15T12:00:00Z" } ]}Authentication required
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}